//
//  LoginView.swift
//  Chat
//
//  Created by Sergey Tarasov on 25.07.2022.
//

import SwiftUI

struct LoginView: View {
    @ObservedObject var viewModel: LoginViewModel

    @Binding var authStatus: Bool
    var body: some View {
        VStack(alignment: .center, spacing: 16) {
            TextField("Login", text: $viewModel.login)
                .textFieldStyle(.roundedBorder)
            SecureField("Password", text: $viewModel.password)
                .textFieldStyle(.roundedBorder)
                .textContentType(.password)
            Button {
                viewModel.login { success in
                    if success {
                        authStatus = true
                    }
                }
            } label: {
                Text("Login")
            }
        }
        .padding()
    }
}

struct LoginView_Previews: PreviewProvider {
    static var viewModel: LoginViewModel = LoginViewModel()
    static var previews: some View {
        LoginView(viewModel: viewModel, authStatus: .constant(false))
    }
}
