//
//  ChatMessageListView.swift
//  Chat (iOS)
//
//  Created by Sergey Tarasov on 14.10.2022.
//

import SwiftUI

struct ChatMessageListView: View {
	let messages: [Message]

	var body: some View {
		ScrollView {
			VStack {
				ForEach(messages, id: \.id) { message in
					MessageView(
						text: message.body,
						time: "",
						isSelf: message.fromID == XMPPController.shared.xmppStream.myJID?.bare
					)
				}
			}
			.padding(.horizontal, .sidePadding)
			.padding(.vertical, 12)
			.background(Color.indigo.opacity(0.0))
		}
	}
}

struct ChatMessageListView_Previews: PreviewProvider {
	static var previews: some View {
		ChatMessageListView(
			messages:
				(0...20).map {
					Message(
						id: UUID().uuidString,
						body: "Message \($0)",
						fromID: "user@domain.com"
					)
				}
		)
	}
}
