//
//  MessageTextField.swift
//  Chat (iOS)
//
//  Created by Sergey Tarasov on 14.10.2022.
//

import SwiftUI

struct MessageTextField: View {
	@Binding var message: String
	let action: () -> Void

	var body: some View {
		HStack {
			TextField("Сообщение", text: $message)
				.textFieldStyle(.automatic)
				.padding(.vertical, 6)
				.padding(.horizontal, 12)
				.background(.background)
			Button {
				action()
			} label: {
				Image(systemName: "arrow.up.circle.fill")
					.font(.title)
					.foregroundColor(message.isEmpty ? .gray : .accentColor)
			}
			.disabled(message.isEmpty)
		}
		.padding(.horizontal, .sidePadding)
		.padding(.vertical, 6)
		.background()
	}
}

struct MessageTextField_Previews: PreviewProvider {
    static var previews: some View {
		MessageTestTextField()
    }

	struct MessageTestTextField: View {
		@State var messageText: String = ""
		@State var lastMessage: String = ""

		var body: some View {
			VStack {
				MessageTextField(message: $messageText, action: { lastMessage = messageText })
				Text("Last message: " + lastMessage)
			}
		}
	}
}
