//
//  ChatListView.swift
//  Chat
//
//  Created by Sergey Tarasov on 24.07.2022.
//

import SwiftUI
import XMPPFramework
import XMPPFrameworkSwift

struct ChatListView: View {
	@StateObject var viewModel: ChatListViewModel = ChatListViewModel()

    var body: some View {
        Group {
			if viewModel.users.isEmpty {
				ProgressView()
			} else {
				List(viewModel.users.indices, id: \.self) { index in
					ChatListCellView(
						nickname: viewModel.nicknames[index],
						jid: viewModel.users[index].jidString
					)
				}
				.listStyle(.plain)
			}
		}
		.onAppear {
			viewModel.fetchChatList()
		}
    }
}

struct ChatListView_Previews: PreviewProvider {
    static var viewModel: ChatListViewModel = ChatListViewModel()

    static var previews: some View {
		NavigationView {
			ChatListView()
		}
    }
}
