//
//  RoomsListView.swift
//  Chat
//
//  Created by Sergey Tarasov on 10.08.2022.
//

import SwiftUI

struct RoomsListView: View {
	@StateObject var viewModel: RoomsListViewModel = RoomsListViewModel()

    var body: some View {
        Group {
			if viewModel.rooms.isEmpty {
				ProgressView()
			} else {
				List(viewModel.rooms.indices, id: \.self) { index in
					RoomsListCellView(
						roomID: viewModel.rooms[index].jidString,
						title: viewModel.rooms[index].name,
						lastMessage: "Сообщение \(index)",
						lastMessageTime: "14:\(Int.random(in: 10...50))",
						unreadMessagesCount: Int.random(in: 1...100)
					)
				}
				.listStyle(.plain)
			}
		}
		.onAppear {
			viewModel.fetchRooms()
		}
    }
}

struct RoomsListView_Previews: PreviewProvider {
    static var viewModel: RoomsListViewModel = RoomsListViewModel()

    static var previews: some View {
		NavigationView {
			RoomsListView(viewModel: viewModel)
				.onAppear {
					viewModel.rooms = [
						.init(jidString: "Jid", name: "Room title 1"),
						.init(jidString: "Jid", name: "Room title 2"),
						.init(jidString: "Jid", name: "Room title 3"),
						.init(jidString: "Jid", name: "Room title 4"),
						.init(jidString: "Jid", name: "Room title 5"),
						.init(jidString: "Jid", name: "Room title 6"),
						.init(jidString: "Jid", name: "Room title 7")
					]
				}
		}
    }
}
